<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * CordinadoresTitulacion
 *
 * @ORM\Table(name="cordinadores_titulacion", indexes={@ORM\Index(name="cve_pla", columns={"cve_pla"})})
 * @ORM\Entity
 */
class CordinadoresTitulacion
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_cor_tit", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideCorTit;

    /**
     * @var string
     *
     * @ORM\Column(name="nom_cor", type="string", length=200, nullable=false)
     */
    private $nomCor;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_mov", type="date", nullable=false)
     */
    private $fecMov;

    /**
     * @var \Planteles
     *
     * @ORM\ManyToOne(targetEntity="Planteles")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_pla", referencedColumnName="ide_pla")
     * })
     */
    private $cvePla;



    /**
     * Get ideCorTit
     *
     * @return integer
     */
    public function getIdeCorTit()
    {
        return $this->ideCorTit;
    }

    /**
     * Set nomCor
     *
     * @param string $nomCor
     *
     * @return CordinadoresTitulacion
     */
    public function setNomCor($nomCor)
    {
        $this->nomCor = $nomCor;
    
        return $this;
    }

    /**
     * Get nomCor
     *
     * @return string
     */
    public function getNomCor()
    {
        return $this->nomCor;
    }

    /**
     * Set fecMov
     *
     * @param \DateTime $fecMov
     *
     * @return CordinadoresTitulacion
     */
    public function setFecMov($fecMov)
    {
        $this->fecMov = $fecMov;
    
        return $this;
    }

    /**
     * Get fecMov
     *
     * @return \DateTime
     */
    public function getFecMov()
    {
        return $this->fecMov;
    }

    /**
     * Set cvePla
     *
     * @param \CmBundle\Entity\Planteles $cvePla
     *
     * @return CordinadoresTitulacion
     */
    public function setCvePla(\CmBundle\Entity\Planteles $cvePla = null)
    {
        $this->cvePla = $cvePla;
    
        return $this;
    }

    /**
     * Get cvePla
     *
     * @return \CmBundle\Entity\Planteles
     */
    public function getCvePla()
    {
        return $this->cvePla;
    }
}
